Click or drag to resize

AngularDimensionCreate Method (DimensionStyle, Plane, Vector3d, Point3d, Point3d, Point3d, Point3d)

Initialize Dimension parameters

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static AngularDimension Create(
	DimensionStyle dimStyle,
	Plane plane,
	Vector3d horizontal,
	Point3d centerpoint,
	Point3d defpoint1,
	Point3d defpoint2,
	Point3d dimlinepoint
)

Parameters

dimStyle
Type: Rhino.DocObjectsDimensionStyle

[Missing <param name="dimStyle"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

horizontal
Type: Rhino.GeometryVector3d

[Missing <param name="horizontal"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

centerpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="centerpoint"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

defpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint1"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

defpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint2"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

dimlinepoint
Type: Rhino.GeometryPoint3d

[Missing <param name="dimlinepoint"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

Return Value

Type: AngularDimension

[Missing <returns> documentation for "M:Rhino.Geometry.AngularDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

Version Information

Rhino for Windows

Supported in: 6.1 BETA
See Also